Bug 186796 - rhpl not indicated as a dependency in pirut
rhpl not indicated as a dependency in pirut
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 10:36 EST by Dan MacDonald
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 13:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan MacDonald 2006-03-26 10:36:00 EST
Description of problem:
RHPL is not indicated as a dependence in the pirut package, including pirut (and
pup, part of the pirut package).  Removal of RHPL results in failure of pirut
and pup with no error when run from icons.  When run from xterm, both provide 
errors similar to the following:

# pirut
Traceback (most recent call last):
  File "/usr/sbin/pirut", line 30, in ?
    from rhpl.exception import installExceptionHandler
ImportError: No module named rhpl.exception


Version-Release number of selected component (if applicable):


How reproducible:
Remove rhpl - no dependency warnings are returned.  Removing/reinstalling the
pirut package also does not trigger installation of rhpl

Steps to Reproduce:
1.  See above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-04-12 13:41:00 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.